Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateSpotDatafeedSubscriptionRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.CreateSpotDatafeedSubscriptionRequest

    public class CreateSpotDatafeedSubscriptionRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateSpotDatafeedSubscription operation`.

Creates the data feed for Spot Instances, enabling you to view Spot Instance usage logs. You can create one data feed per account.

For conceptual information about Spot Instances, refer to the Amazon Elastic Compute Cloud Developer Guide or Amazon Elastic Compute Cloud User Guide .

See Also:
  `AmazonEC2.createSpotDatafeedSubscription(CreateSpotDatafeedSubscriptionRequest)`

Constructor Summary
`CreateSpotDatafeedSubscriptionRequest()`

Method Summary
`String` | `getBucket()` The Amazon S3 bucket in which to store the Spot Instance datafeed.
`String` | `getPrefix()` The prefix that is prepended to datafeed files.
`void` | `setBucket(String bucket)` The Amazon S3 bucket in which to store the Spot Instance datafeed.
`void` | `setPrefix(String prefix)` The prefix that is prepended to datafeed files.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateSpotDatafeedSubscriptionRequest` | `withBucket(String bucket)` The Amazon S3 bucket in which to store the Spot Instance datafeed.
`CreateSpotDatafeedSubscriptionRequest` | `withPrefix(String prefix)` The prefix that is prepended to datafeed files.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateSpotDatafeedSubscriptionRequest

    public CreateSpotDatafeedSubscriptionRequest()

Method Detail

### getBucket

    public String getBucket()

  The Amazon S3 bucket in which to store the Spot Instance datafeed.

  Returns:
    The Amazon S3 bucket in which to store the Spot Instance datafeed.

### setBucket

    public void setBucket(String bucket)

  The Amazon S3 bucket in which to store the Spot Instance datafeed.

  Parameters:
    `bucket` - The Amazon S3 bucket in which to store the Spot Instance datafeed.

### withBucket

    public CreateSpotDatafeedSubscriptionRequest withBucket(String bucket)

  The Amazon S3 bucket in which to store the Spot Instance datafeed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bucket` - The Amazon S3 bucket in which to store the Spot Instance datafeed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPrefix

    public String getPrefix()

  The prefix that is prepended to datafeed files.

  Returns:
    The prefix that is prepended to datafeed files.

### setPrefix

    public void setPrefix(String prefix)

  The prefix that is prepended to datafeed files.

  Parameters:
    `prefix` - The prefix that is prepended to datafeed files.

### withPrefix

    public CreateSpotDatafeedSubscriptionRequest withPrefix(String prefix)

  The prefix that is prepended to datafeed files.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `prefix` - The prefix that is prepended to datafeed files.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.